[arch-commits] Commit in lib32-librsvg/repos/multilib-x86_64 (4 files)

Jan Steffens heftig at archlinux.org
Tue Sep 10 18:58:49 UTC 2019


    Date: Tuesday, September 10, 2019 @ 18:58:49
  Author: heftig
Revision: 509186

archrelease: copy trunk to multilib-x86_64

Added:
  lib32-librsvg/repos/multilib-x86_64/PKGBUILD
    (from rev 509185, lib32-librsvg/trunk/PKGBUILD)
  lib32-librsvg/repos/multilib-x86_64/multilib.diff
    (from rev 509185, lib32-librsvg/trunk/multilib.diff)
Deleted:
  lib32-librsvg/repos/multilib-x86_64/PKGBUILD
  lib32-librsvg/repos/multilib-x86_64/multilib.diff

---------------+
 PKGBUILD      |  120 ++++++++++++++++++++++++++++----------------------------
 multilib.diff |   66 +++++++++++++++---------------
 2 files changed, 93 insertions(+), 93 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-10 18:58:21 UTC (rev 509185)
+++ PKGBUILD	2019-09-10 18:58:49 UTC (rev 509186)
@@ -1,60 +0,0 @@
-# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
-# Contributor: jtts <jussaar at mbnet.fi>
-# Contributor: Jan de Groot <jgc at archlinux.org>
-
-pkgname=lib32-librsvg
-pkgver=2.44.15
-pkgrel=1
-pkgdesc="SVG rendering library (32-bit)"
-url="https://wiki.gnome.org/Projects/LibRsvg"
-arch=(x86_64)
-license=(LGPL)
-depends=(lib32-gdk-pixbuf2 lib32-pango lib32-libcroco librsvg)
-makedepends=(intltool gobject-introspection vala python2 gtk-doc git lib32-rust)
-_commit=bc786f6fbbe7b63a24e7eb499efb2f23c47ab5c2  # tags/2.44.15^0
-source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
-        multilib.diff)
-sha256sums=('SKIP'
-            'c32283a724e8d1a87ad64330ee72781396b6f439dcae0f56da074e9a988ec544')
-
-pkgver() {
-  cd librsvg
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd librsvg
-
-  # Hack to cross-compile rust only
-  patch -Np1 -i ../multilib.diff
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-build() {
-  export CC='gcc -m32'
-  export CXX='g++ -m32'
-  export PKG_CONFIG_PATH=/usr/lib32/pkgconfig
-  export RUST_TARGET=i686-unknown-linux-gnu
-
-  cd librsvg
-  ./configure --prefix=/usr --disable-static --enable-vala --disable-gtk-doc --libdir=/usr/lib32
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
-  make
-}
-
-check() {
-  cd librsvg
-  # Reftests are probably broken
-  # e.g. 91-nonzero-translation-ref.png's background is only 95% transparent,
-  # while 91-nonzero-translation-out.png is 100% transparent
-  make check || :
-}
-
-package() {
-  cd librsvg
-  make DESTDIR="$pkgdir" install
-  rm -r "$pkgdir"/usr/{bin,include,share}
-}
-
-# vim: ts=2 sw=2 et:

Copied: lib32-librsvg/repos/multilib-x86_64/PKGBUILD (from rev 509185, lib32-librsvg/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-10 18:58:49 UTC (rev 509186)
@@ -0,0 +1,60 @@
+# Maintainer: Maxime Gauduin <alucryd at archlinux.org>
+# Contributor: jtts <jussaar at mbnet.fi>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=lib32-librsvg
+pkgver=2.46.0
+pkgrel=1
+pkgdesc="SVG rendering library (32-bit)"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(x86_64)
+license=(LGPL)
+depends=(lib32-gdk-pixbuf2 lib32-pango lib32-libcroco librsvg)
+makedepends=(intltool gobject-introspection vala python2 gtk-doc git lib32-rust)
+_commit=b4aa8d277d30f4042797dc8b64c073b10f8bac4b  # tags/2.46.0^0
+source=("git+https://gitlab.gnome.org/GNOME/librsvg.git#commit=$_commit"
+        multilib.diff)
+sha256sums=('SKIP'
+            'c32283a724e8d1a87ad64330ee72781396b6f439dcae0f56da074e9a988ec544')
+
+pkgver() {
+  cd librsvg
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd librsvg
+
+  # Hack to cross-compile rust only
+  patch -Np1 -i ../multilib.diff
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export CC='gcc -m32'
+  export CXX='g++ -m32'
+  export PKG_CONFIG_PATH=/usr/lib32/pkgconfig
+  export RUST_TARGET=i686-unknown-linux-gnu
+
+  cd librsvg
+  ./configure --prefix=/usr --disable-static --enable-vala --disable-gtk-doc --libdir=/usr/lib32
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+  make
+}
+
+check() {
+  cd librsvg
+  # Reftests are probably broken
+  # e.g. 91-nonzero-translation-ref.png's background is only 95% transparent,
+  # while 91-nonzero-translation-out.png is 100% transparent
+  make check || :
+}
+
+package() {
+  cd librsvg
+  make DESTDIR="$pkgdir" install
+  rm -r "$pkgdir"/usr/{bin,include,share}
+}
+
+# vim: ts=2 sw=2 et:

Deleted: multilib.diff
===================================================================
--- multilib.diff	2019-09-10 18:58:21 UTC (rev 509185)
+++ multilib.diff	2019-09-10 18:58:49 UTC (rev 509186)
@@ -1,33 +0,0 @@
- Makefile.am  | 2 --
- configure.ac | 4 +---
- 2 files changed, 1 insertion(+), 5 deletions(-)
-
-diff --git c/Makefile.am i/Makefile.am
-index acf51182..8fd9eb8f 100644
---- c/Makefile.am
-+++ i/Makefile.am
-@@ -133,9 +133,7 @@ else
- CARGO_RELEASE_ARGS=--release
- endif
- 
--if CROSS_COMPILING
- CARGO_TARGET_ARGS=--target=$(RUST_TARGET)
--endif
- 
- CARGO_VERBOSE = $(cargo_verbose_$(V))
- cargo_verbose_ = $(cargo_verbose_$(AM_DEFAULT_VERBOSITY))
-diff --git c/configure.ac i/configure.ac
-index d566ab49..456394ff 100644
---- c/configure.ac
-+++ i/configure.ac
-@@ -292,9 +292,7 @@ if test "x$RUST_TARGET" == x; then
- fi
- 
- AM_CONDITIONAL(CROSS_COMPILING, test $cross_compiling = yes)
--if test "x$cross_compiling" = "xyes" ; then
--	RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
--fi
-+RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
- AC_SUBST([RUST_TARGET_SUBDIR])
- 
- dnl ===========================================================================

Copied: lib32-librsvg/repos/multilib-x86_64/multilib.diff (from rev 509185, lib32-librsvg/trunk/multilib.diff)
===================================================================
--- multilib.diff	                        (rev 0)
+++ multilib.diff	2019-09-10 18:58:49 UTC (rev 509186)
@@ -0,0 +1,33 @@
+ Makefile.am  | 2 --
+ configure.ac | 4 +---
+ 2 files changed, 1 insertion(+), 5 deletions(-)
+
+diff --git c/Makefile.am i/Makefile.am
+index acf51182..8fd9eb8f 100644
+--- c/Makefile.am
++++ i/Makefile.am
+@@ -133,9 +133,7 @@ else
+ CARGO_RELEASE_ARGS=--release
+ endif
+ 
+-if CROSS_COMPILING
+ CARGO_TARGET_ARGS=--target=$(RUST_TARGET)
+-endif
+ 
+ CARGO_VERBOSE = $(cargo_verbose_$(V))
+ cargo_verbose_ = $(cargo_verbose_$(AM_DEFAULT_VERBOSITY))
+diff --git c/configure.ac i/configure.ac
+index d566ab49..456394ff 100644
+--- c/configure.ac
++++ i/configure.ac
+@@ -292,9 +292,7 @@ if test "x$RUST_TARGET" == x; then
+ fi
+ 
+ AM_CONDITIONAL(CROSS_COMPILING, test $cross_compiling = yes)
+-if test "x$cross_compiling" = "xyes" ; then
+-	RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
+-fi
++RUST_TARGET_SUBDIR="$RUST_TARGET/$RUST_TARGET_SUBDIR"
+ AC_SUBST([RUST_TARGET_SUBDIR])
+ 
+ dnl ===========================================================================


More information about the arch-commits mailing list